#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 infinite-list
version:              0.1.1
visibility:           public
id:                   infinite-list-0.1.1-Hp7TZge4ld56hw2CDnAh8d
key:                  infinite-list-0.1.1-Hp7TZge4ld56hw2CDnAh8d
license:              BSD-3-Clause
maintainer:           andrew.lelechenko@gmail.com
author:               Bodigrim
homepage:             https://github.com/Bodigrim/infinite-list
synopsis:             Infinite lists
description:
    Modern lightweight library for infinite lists with fusion:

    * API similar to "Data.List".
    * No non-boot dependencies.
    * Top performance, driven by fusion.
    * Avoid dangerous instances like `Foldable`.
    * Use `NonEmpty` where applicable.
    * Use `Word` for indices.
    * Be lazy, but not too lazy.

    @
    {\-# LANGUAGE PostfixOperators #-\}
    import Data.List.Infinite (Infinite(..), (...), (....))
    import qualified Data.List.Infinite as Inf
    @

category:             Data
abi:                  3f35ad17f0295186c20cdbc37ed9624d
exposed:              True
exposed-modules:      Data.List.Infinite
hidden-modules:       Data.List.Infinite.Zip Data.List.Infinite.Internal
import-dirs:          /usr/lib/ghc-9.2.8/site-local/infinite-list-0.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/infinite-list-0.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-infinite-list
hs-libraries:         HSinfinite-list-0.1.1-Hp7TZge4ld56hw2CDnAh8d
depends:              base-4.16.4.0
haddock-interfaces:
    /usr/share/doc/haskell-infinite-list/html/infinite-list.haddock

haddock-html:         /usr/share/doc/haskell-infinite-list/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

